import { EventName } from "@lit/react";
import { WyPreview as WyPreviewWC, WyPreviewItem as WyPreviewItemWC, WyPreviewEmbed as WyPreviewEmbedWC, WyPreviewIcon as WyPreviewIconWC, WyPreviewImage as WyPreviewImageWC, WyPreviewMedia as WyPreviewMediaWC, WyPreviewText as WyPreviewTextWC } from "@weavy/uikit-web";
export declare const WyPreview: import("@lit/react").ReactWebComponent<WyPreviewWC, {
    onReleaseFocus: EventName<CustomEvent<any>>;
}>;
export declare const WyPreviewItem: import("@lit/react").ReactWebComponent<WyPreviewItemWC, {}>;
export declare const WyPreviewEmbed: import("@lit/react").ReactWebComponent<WyPreviewEmbedWC, {}>;
export declare const WyPreviewIcon: import("@lit/react").ReactWebComponent<WyPreviewIconWC, {}>;
export declare const WyPreviewImage: import("@lit/react").ReactWebComponent<WyPreviewImageWC, {}>;
export declare const WyPreviewMedia: import("@lit/react").ReactWebComponent<WyPreviewMediaWC, {}>;
export declare const WyPreviewText: import("@lit/react").ReactWebComponent<WyPreviewTextWC, {}>;
